import numpy as np
import math

def makeData():
	c1 = -1
	c2 = 2
	n = 200000
	data = []
	for i in range(n):
		x = np.random.uniform(-1, 3)
		a = (c1 * x) + c2 
		p = 1 / (1 + np.exp(-a))
		rBool = np.random.uniform(0, 1) < p

		r = 1 if rBool else 0
		data.append([x, r])
	np.savetxt("data.csv", data, delimiter=",")
	np.savetxt("dataSmall.csv", data[:2000], delimiter=",")

makeData()