import numpy as np
import torch
import torch.nn as nn
from torch.optim import Adam
from torch.optim import SGD
import torch.nn.functional as F
import pdb

GUESS = 0.25
N_STUDENTS = 100

def main():
	difficulty, responses = loadData()
	singleStudent = responses[0]

	# this data loads in the difficulty and responses
	# for a single student. Can you estimate their ability?
	print(difficulty)
	print(singleStudent)


def loadData():
	diff = np.genfromtxt('data/sim-difficulty.csv', delimiter=',')
	diff = torch.from_numpy(diff).float()

	responses = np.genfromtxt('data/sim-responses.csv', delimiter=',')
	responses = torch.from_numpy(responses).float()
	
	return diff, responses
	

if __name__ == '__main__':
	main()